﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.InteropServices;
using System.Text;
using System.Threading.Tasks;
using System.Drawing;
namespace sampleapp
{
    class Program
    {
        static void Main(string[] args)
        {
            DWM.DwmColorParams dcpParams = new DWM.DwmColorParams();
            DWM.DwmpGetColorizationParameters(out dcpParams);
            dcpParams.ColorizationColor = (uint)Color.Red.ToArgb();
            dcpParams.ColorizationColorBalance = 100;
            DWM.DwmpSetColorizationParameters(ref dcpParams, true);
        }
    }

    public static class DWM
    {
        [StructLayout(LayoutKind.Sequential)]
        public struct DwmColorParams
        {
            public UInt32 ColorizationColor;
            public UInt32 ColorizationAfterglow;
            public UInt32 ColorizationColorBalance;
            public UInt32 ColorizationAfterglowBalance;
            public UInt32 ColorizationBlurBalance;
            public UInt32 EnableWindowColorization;
            public UInt32 ColorizationGlassAttribute;
        };

        [DllImport("dwmapi.dll", EntryPoint = "#131")]
        public static extern int DwmpSetColorizationParameters(ref DwmColorParams dcpParams, bool someBool);

        [DllImport("dwmapi.dll", EntryPoint = "#127")]
        public static extern int DwmpGetColorizationParameters(out DwmColorParams dcpParams);

    }

}
